cmpi-provider-register(8)

NAME
cmpi-provider-register - install class definitions (MOFs) and registration data for a variety of supported CIMOMs

SYNOPSIS
cmpi-provider-register [-h] [-v] [-d] [-t <cimserver>] [-n <namespace>] -r reg file [...] -m mof file [...]

DESCRIPTION
cmpi-provider-register will install schema mofs and register providers for a variety of CIMOMs. CIM Providers should call this script during their installation to get properly registered into the current running CIMOM.

Supported CIMOM's:

pegasus

sfcb

openwbem

sniacimom

OPTIONS

-h  display help message

-v  verbose mode

-d  deregister provider and uninstall schema

-t  specify cimserver type (pegasus|sfcb|openwbem|sniacimom)

-r  specify registration files

-m  specify schema mof files

-X  create repository for alternate platform (sfcb only at the moment)

-n  target namespace definition (default: root/cimv2)

FORMAT OF THE REGISTRATION FILE

The registration file is a text file with a list of providers to register each per line. Each line has the following information:

Classname Namespace ProviderName ProviderModule ProviderTypes ...

Example:

Linux_Processor root/cimv2 OSBase_ProcessorProvider cmpiOSBase_ProcessorProvider instance

Linux_RunningOS root/cimv2 OSBase_RunningOSProvider cmpiOSBase_RunningOSProvider instance association

AUTHOR
This manpage was written by Mathias Gug <mathias.gug@canonical.com> for Ubuntu systems (but may be used by others). Permission is granted to copy, distribute and/or modify this document under the terms of the GNU General Public License, Version 3 published by the Free Software Foundation.

On Debian systems, the complete text of the GNU General Public License can be found in /usr/share/common-licenses/GPL.